---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgetclstat006.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4F630, symBinAddr: 0x51C0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x51570, symBinAddr: 0x7100, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x51960, symBinAddr: 0x74F0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x52900, symBinAddr: 0x8490, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x52910, symBinAddr: 0x84A0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4F2B0, symBinAddr: 0x5080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4F2B4, symBinAddr: 0x5084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4F2B8, symBinAddr: 0x5088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F410, symBinAddr: 0x5090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F4C8, symBinAddr: 0x5148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F4CC, symBinAddr: 0x514C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F4D0, symBinAddr: 0x5150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F4D4, symBinAddr: 0x5154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F4D8, symBinAddr: 0x5158, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F4E0, symBinAddr: 0x5160, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F4F8, symBinAddr: 0x5178, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F500, symBinAddr: 0x5180, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F508, symBinAddr: 0x5188, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F510, symBinAddr: 0x5190, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F518, symBinAddr: 0x5198, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4F55A, symBinAddr: 0x51AA, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4F560, symBinAddr: 0x51B0, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4F568, symBinAddr: 0x51B8, symSize: 0x0 }
  - { offsetInCU: 0x9117, offset: 0x9117, size: 0x8, addend: 0x0, symName: __ZL4bits, symObjAddr: 0xD950, symBinAddr: 0x4020, symSize: 0x0 }
  - { offsetInCU: 0x919E, offset: 0x919E, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xB10, symSize: 0x80 }
  - { offsetInCU: 0x9233, offset: 0x9233, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xA60, symSize: 0xB0 }
  - { offsetInCU: 0x928E, offset: 0x928E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x960, symSize: 0x100 }
  - { offsetInCU: 0x9521, offset: 0x9521, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xB90, symSize: 0x220 }
  - { offsetInCU: 0x9706, offset: 0x9706, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xDB0, symSize: 0xA0 }
  - { offsetInCU: 0x97B9, offset: 0x97B9, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xE50, symSize: 0x110 }
  - { offsetInCU: 0x98AF, offset: 0x98AF, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xF60, symSize: 0x150 }
  - { offsetInCU: 0x99E0, offset: 0x99E0, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x10B0, symSize: 0x30 }
  - { offsetInCU: 0x9A69, offset: 0x9A69, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x10E0, symSize: 0x150 }
  - { offsetInCU: 0x9C61, offset: 0x9C61, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1230, symSize: 0x160 }
  - { offsetInCU: 0x9DED, offset: 0x9DED, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1390, symSize: 0x1B0 }
  - { offsetInCU: 0xA008, offset: 0xA008, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x1540, symSize: 0xA0 }
  - { offsetInCU: 0xA0D7, offset: 0xA0D7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x15E0, symSize: 0x20 }
  - { offsetInCU: 0xA10E, offset: 0xA10E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1600, symSize: 0x20 }
  - { offsetInCU: 0xA145, offset: 0xA145, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1620, symSize: 0x20 }
  - { offsetInCU: 0xA2B4, offset: 0xA2B4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x1640, symSize: 0x1A0 }
  - { offsetInCU: 0xA5DA, offset: 0xA5DA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x17E0, symSize: 0x80 }
  - { offsetInCU: 0xA6A3, offset: 0xA6A3, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x1860, symSize: 0x6A0 }
  - { offsetInCU: 0xB238, offset: 0xB238, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9E20, symBinAddr: 0x27A0, symSize: 0xB0 }
  - { offsetInCU: 0xB2AF, offset: 0xB2AF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x1F00, symSize: 0x70 }
  - { offsetInCU: 0xB34B, offset: 0xB34B, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x1F70, symSize: 0xA0 }
  - { offsetInCU: 0xB42A, offset: 0xB42A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2010, symSize: 0x40 }
  - { offsetInCU: 0xB520, offset: 0xB520, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x2050, symSize: 0x2B0 }
  - { offsetInCU: 0xB8C6, offset: 0xB8C6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2300, symSize: 0xC0 }
  - { offsetInCU: 0xBA0C, offset: 0xBA0C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x23C0, symSize: 0x10 }
  - { offsetInCU: 0xBACE, offset: 0xBACE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x23D0, symSize: 0x220 }
  - { offsetInCU: 0xBE04, offset: 0xBE04, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x25F0, symSize: 0x70 }
  - { offsetInCU: 0xBECF, offset: 0xBECF, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9CE0, symBinAddr: 0x2660, symSize: 0x70 }
  - { offsetInCU: 0xBFC6, offset: 0xBFC6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetClassStatus_getclstat006_check, symObjAddr: 0x9D50, symBinAddr: 0x26D0, symSize: 0xC0 }
  - { offsetInCU: 0xC081, offset: 0xC081, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetClassStatus_getclstat006_getRes, symObjAddr: 0x9E10, symBinAddr: 0x2790, symSize: 0x10 }
  - { offsetInCU: 0xC0B6, offset: 0xC0B6, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9ED0, symBinAddr: 0x2850, symSize: 0x36A }
...
